package com.mygdx.game.Dimension;

import com.badlogic.gdx.graphics.Texture;

public class Block {
    private String name;
    private Texture texture;
    private Boolean harvestable;
    private Boolean breakable;
    private Boolean passable;

    public Block(String name) {
        this.name = name;
        this.texture = new Texture("core/assets/" + name + ".png");
        this.harvestable = true;
        this.breakable = true;
        this.passable = false;
    }

    public String getName() {
        return name;
    }

    public Texture getTexture() {
        return texture;
    }

    public void setTexture(Texture texture) {
        this.texture = texture;
    }
}
